#include <bits/stdc++.h>

using namespace std;
int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    long long n;
    cin>>n;
    long long x[n],y[n];
    for(long long i=0;i<n;i++)
    {
        long long xx,yy;
        cin>>xx>>yy;
        x[i]=xx-1;
        y[i]=yy-1;
    }
    sort(x,x+n);
    sort(y,y+n);
    long long sx=0,sy=0;
    for(long long i=0;i<n;i++)
    {
        sx+=abs(x[i]-i);
        sy+=abs(y[i]-i);
    }
    cout<<sx+sy;
}